### Function

# Cogl PixelFormat get_bytes_per_pixel

#### Declaration [src]

    int
    cogl_pixel_format_get_bytes_per_pixel (
      CoglPixelFormat format,
      int plane
    )

#### Description [src]

Queries the number of bytes per pixel for a given format in the given plane.

#### Parameters

`format`

  Type: `CoglPixelFormat`

  The pixel format.

`plane`

  Type: `int`

  The index of the plane (should not be more than the number of planes in the given format).

#### Return value

Type: `int`

The number of bytes per pixel in the given format’s given plane.